### Function

# GModule ModuleCheckInit

since: 2.0

#### Declaration

    const gchar*
    (* GModuleCheckInit) (
      GModule* module
    )

#### Description [src]

Specifies the type of the module initialization function. If a module contains a function named `g_module_check_init()` it is called automatically when the module is loaded. It is passed the `GModule` structure and should return `NULL` on success or a string describing the initialization error.

Available since: 2.0

#### Parameters

`module`

  Type: `GModule`

  The `GModule` corresponding to the module which has just been loaded.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

`NULL` on success, or a string describing the initialization error.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.